{% use "blocks.twig" %}	
		{{block('menu')}}
		{% set tail = 'Modlog' %}
		{{block('breadcrumbs')}}
		{{block('messages')}}

		<table id="modlog">
		    {% if modlog %}
		            {# Table title #}
		            <caption><h4 class="modlog_title">Moderation log</h4></caption>
		            {# Headers #}
		            <tr>
		                <th>Time</th>
		                <th>Community name</th>
		                <th>Action</th>
		                <th>Action details</th>
		            </tr>
		        {% for row in modlog %}
		            <tr>
		                {# Time #}
		                <td>
		                    {{ row.stamp|date( 'Y-m-d H:i:s') }}
		                </td>
		                {# Mod name #}
		                <td>
		                    <a href="{{ row.moderator.link }}" title="profile">{{ row.moderator.name }}</a>
		                </td>

		                {# Action #} {# Action details #}
		                {% if ( row.action == 'edit_post' ) %}
		                    <td>
		                        editted
		                    </td>
		                    <td>
		                        <a href="{{ row.post_link }}">a post</a> in "<a href="{{ thread_link }}">{{ row.params.category_title }} &gt;&gt; {{ row.params.board_title }} &gt;&gt; {{ row.params.thread_title }}</a> thread.
		                    </td>
		                {% elseif ( row.action == 'delete_post' ) %}
		                    <td>
		                        deleted a post in
		                    </td>
		                    <td>
		                        <a href="{{ row.thread_link }}">{{ row.params.category_title }} &gt;&gt; {{ row.params.board_title }} &gt;&gt; {{ row.params.thread_title }}</a> thread.
		                    </td>
		                {% elseif ( row.action == 'delete_thread' ) %}
		                    <td>
		                        deleted a thread
		                    </td>
		                    <td>
		                        <a href="{{ row.thread_link}}">{{ row.params.thread_title }}</a>" in "<a href="{{ row.board_link }}">{{ row.params.category_title }} &gt;&gt; {{ row.params.board_title }}</a>
		                    </td>
		                {% elseif ( row.action == 'restrict_user' ) %}
		                    <td>
		                        restricted user
		                    </td>
		                    <td>
		                        <a href="{{ row.profile_link }}">{{ row.params.user_name }}</a>
		                        {% if row.params.user_name != row.params.user_name_now %}
		                            (currently <a href="{{ row.profile_link }}"> {{ row.params.user_name_now }}</a>)
		                        {% endif %}
		                    </td>
		                {% elseif ( row.action == 'unrestrict_user' ) %}
		                    <td>
		                        unrestricted user
		                    </td>
		                    <td>
		                        <a href="{{ row.profile_link }}">{{ row.params.user_name }}</a>
		                        {% if row.params.user_name != row.params.user_name_now %}
		                            (currently <a href="{{ row.profile_link }}"> {{ row.params.user_name_now }}</a>)
		                        {% endif %}
		                    </td>
		                {% elseif ( row.action == 'silence_user' ) %}
		                    <td>
		                        silenced user
		                    </td>
		                    <td>
		                        <a href="{{ row.profile_link }}">{{ row.params.user_name }}</a>
		                        {% if row.params.user_name != row.params.user_name_now %}
		                            (currently <a href="{{ row.profile_link }}"> {{ row.params.user_name_now }}</a>)
		                        {% endif %}
		                    </td>
		                {% elseif ( row.action == 'unsilence_user' ) %}
		                    <td>
		                        unsilenced user
		                    </td>
		                    <td>
		                        <a href="{{ row.profile_link }}">{{ row.params.user_name }}</a>
		                        {% if row.params.user_name != row.params.user_name_now %}
		                            (currently <a href="{{ row.profile_link }}"> {{ row.params.user_name_now }}</a>)
		                        {% endif %}
		                    </td>
		                {% elseif ( row.action == 'approve_user' ) %}
		                    <td>
		                        approved user
		                    </td>
		                    <td>
		                        <a href="{{ row.profile_link }}">{{ row.params.user_name }}</a>
		                        {% if row.params.user_name != row.params.user_name_now %}
		                            (currently <a href="{{ row.profile_link }}"> {{ row.params.user_name_now }}</a>)
		                        {% endif %}
		                    </td>
		                {% elseif ( row.action == 'unapprove_user' ) %}
		                    <td>
		                        unapproved user
		                    </td>
		                    <td>
		                        <a href="{{ row.profile_link }}">{{ row.params.user_name }}</a>
		                        {% if row.params.user_name != row.params.user_name_now %}
		                            (currently <a href="{{ row.profile_link }}"> {{ row.params.user_name_now }}</a>)
		                        {% endif %}
		                    </td>
		                {% elseif ( row.action == 'unban_user' ) %}
		                    <td>
		                        unbanned user
		                    </td>
		                    <td>
		                        <a href="{{ row.profile_link }}">{{ row.params.user_name }}</a>
		                        {% if row.params.user_name != row.params.user_name_now %}
		                            (currently <a href="{{ row.profile_link }}"> {{ row.params.user_name_now }}</a>)
		                        {% endif %}
		                    </td>
		                {% elseif ( row.action == 'pin_thread' ) %}
		                    <td>
		                        pinned
		                    </td>
		                    <td>
		                        <a href="{{ row.thread_link }}">{{ row.params.category_title }} &gt;&gt; {{ row.params.board_title }} &gt;&gt; {{ row.params.thread_title }}</a> thread
		                    </td>
		                {% elseif ( row.action == 'unpin_thread' ) %}
		                    <td>
		                        unpinned
		                    </td>
		                    <td>
		                        <a href="{{ row.thread_link }}">{{ row.params.category_title }} &gt;&gt; {{ row.params.board_title }} &gt;&gt; {{ row.params.thread_title }}</a> thread
		                    </td>
		                {% elseif ( row.action == 'close_thread' ) %}
		                    <td>
		                        closed
		                    </td>
		                    <td>
		                        <a href="{{ row.thread_link }}">{{ row.params.category_title }} &gt;&gt; {{ row.params.board_title }} &gt;&gt; {{ row.params.thread_title }}</a> thread
		                    </td>
		                {% elseif ( row.action == 'open_thread' ) %}
		                    <td>
		                        opened
		                    </td>
		                    <td>
		                        <a href="{{ row.thread_link }}">{{ row.params.category_title }} &gt;&gt; {{ row.params.board_title }} &gt;&gt; {{ row.params.thread_title }}</a> thread
		                    </td>
		                {% else %}
		                    <td>{{row.action}}</td>
		                    <td></td>
		                {% endif %}
		            </tr>
		        {% endfor %}
		    {% else %}
		        <caption class="no_data"><h4 class="modlog_title">There are no records.</h4></caption>
		    {% endif %}
		</table>

		{{block('pagination')}}
		{{block('breadcrumbs')}}
		{{block('online')}}
