{% use "blocks.twig" %}
{# Used in post_view block #}
{% macro rate( rate_value, karma, post_id) %}document.getElementById('ajax').src=this.href+'&__ajax=1';document.getElementById('r{{ post_id }}').innerHTML='({{ ( karma + rate_value ) }})';{{ ( karma - rate_value ) }} > 0 ? document.getElementById('r{{ post_id }}').style.color='#b20016' : {{ ( karma - rate_value ) }} < 0 ? document.getElementById('r{{ post_id }}').style.color='#86C219' : null;document.getElementById('rd{{ post_id }}').style.display='none';document.getElementById('ru{{ post_id }}').style.display='none';return false;{% endmacro %}

{% if __view == '404' %}
{% block view_404 %}

{% set view = "404" %}
{{block('menu')}}
{% set tail = '404' %}
{{block('breadcrumbs')}}
<div class="no_data"><b title="data not found">404 Page not found</b></div>
{{block('breadcrumbs')}}
{{block('search')}}
{{block('online')}}

{% endblock %}
{% elseif __view == 'categories' %}
{% block view_categories %}

{% set view = "categories" %}
{{block('menu')}}
{# this assign need for breadcrumbs below #}
{% if categories|length == 1 %}
{% set category = categories|first %}
{% endif %}
{{block('breadcrumbs')}}
{{block('messages')}}

{% for category in categories %}

{# Wrapping categories to seperate containers, if user wants to change it individually #}
{% if categories|length != 1 %}
<div class="category id_{{category.id}}">
<a href="{{ category.link }}" title="{{ category.title }}"><b>{{ category.title }}</b></a>
{% endif %}

<div class="boards">
{% for board in category.boards %}

<div class="board">
<img src="http://xtgem.com/images/forum/icons/board-{{ not board.read ? 'unread' : 'read' }}.png" alt="*" class="ico" />
<a href="{{ board.link }}" title="{{ board.title }}">{{ board.title }}</a> <small {{ not board.read ? 'class="unread"' : '' }}> ({{board.threads_count}}/{{board.posts}})</small>

{% set _online = get_online ( '/category_' ~ category.id ~ '/board_' ~ board.id) %}
{% if _online > 0 %}
<img src="http://xtgem.com/images/forum/icons/online.gif" alt="On: " class="ico" /><small>{{ _online }}</small>
{% endif %}

{% if board.description %}
<div class="descr">{{board.description}}</div>
{% endif %}

{# If showing only one category, we will show some threads also #}
{% if board.threads %}
{% for thread in board.threads %}{{block('thread')}}{% endfor %}
{% if board and board.threads_count > settings.threads_per_board %}
<img src="http://xtgem.com/images/forum/icons/placeholder.gif" alt="ico-spacer" class="ico" />
<a href="{{ board.link }}?show_all=1" >View all threads ({{ board.threads_count }}) &rarr;</a>
{% endif %}
{% endif %}
</div>

{% endfor %}
</div>

{% if categories|length != 1 %}
</div>
{% endif %}
{% endfor %}

{{block('pagination')}}
{{block('search')}}
{{block('breadcrumbs')}}
{{block('online')}}

{% endblock %}
{% elseif __view == 'board' %}
{% block view_boards %}

{% set view = 'board' %}
{% set board = category.boards|first %}

{{block('menu')}}
{{block('breadcrumbs')}}
{{block('messages')}}

<div class="controls compo">
{% if settings.allow_anonymous_posting or profile %}
{# Create new thread #}
<img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ board.new_thread_link }}">Đăng bài</a> •
{# Mark board as read #}
<a href="{{ board.link }}?mark_read=1">Đánh dấu đã đọc</a>
{% elseif account %}
<img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ join_link }}" title="Đăng nhập" >Đăng nhập để trả lời</a>
{% else %}
<img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ login_link }}" title="Đăng nhập" rel="dofollow">{{ view == 'board' ? 'Đăng nhập để viết bài' : 'Đăng nhập để trả lởi' }}</a>
{% endif %}
</div>

{% if board and board.threads %}
<div class="threads">
{% for thread in board.threads %}
{{block('thread')}}
{% endfor %}
</div>
{% else %}
<div class="no_data"><b title="data not found">Chưa có bài viết trong chủ đề này.</b></div>
{% endif %}

{{block('pagination')}}
{{block('search')}}
{{block('breadcrumbs')}}
{{block('online')}}

{% endblock %}
{% elseif __view == 'thread' %}
{% block view_thread %}

{% set view = 'thread' %}
{% set board = category.boards|first %}
{% set thread = board.threads|first %}
{{block('menu')}}
{{block('breadcrumbs')}}
{% if thread %}
{{block('messages')}}
<div class="controls compo">
{% if thread.is_closed %}
Bài đăng bị khóa
{% endif %}
{% if settings.allow_anonymous_posting or profile %}
{% if not thread.is_closed %}
<img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ thread.reply_to_link }}">Gửi trả lời</a>
{% endif %}
{% if invite_users_left != 0 and profile %}
• <a href="{{ thread.invite_link }}" title="Mời bạn bè cùng luận">Mời bạn bè</a>
{% else %}
• Mời bạn bè
{% endif %}
{% if profile.can_delete %}
 • <a href="{{ thread.delete_thread_link }}">Xóa</a>
{% endif %}
{% if profile.can_pin %}
{% if thread.is_pinned %}
• <a href="{{ thread.link }}?act=unpin">Gỡ ghim</a>
{% else %}
• <a href="{{ thread.link }}?act=pin">Ghim</a>
{% endif %}
{% endif %}
{% if profile.can_close %}
{% if thread.is_closed %}
• <a href="{{ thread.link }}?act=open">Xem</a>
{% else %}
• <a href="{{ thread.link }}?act=close">Đóng</a>
{% endif %}
{% endif %}
{% if thread.owner or profile.can_edit_thread %}
• <a href="{{ thread.edit_thread_link}}">Đổi tên</a>
{% endif %}
{# generic part #}
{% elseif account %}
<img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ join_link }}" title="Join" >Đăng nhập để trả lời</a>
{% else %}
<img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ login_link }}" title="Đăng nhập" rel="nofollow">{{ view == 'board' ? 'Đăng nhập để viết bài' : 'Đăng nhập để trả lời' }}</a>
{% endif %}

{# reverse post ( oldest first) #}
{% if reversed_sort %}
{% if not profile or profile.settings.reply_sorting == 1 %}
• <a href="?reversed=0" title="Vị trí bắt đầu">Vị trí bắt đầu</a>
{% else %}
• <a href="?reversed=0" title="Vị trí kết thúc">Vị trí kết thúc</a>
{% endif %}
{% else %}
{% if not profile or profile.settings.reply_sorting == 1 %}
• <a href="?reversed=1" title="Vị trí kết thúc">Vị trí kết thúc</a>
{% else %}
• <a href="?reversed=1" title="Vị trí kết thúc">Vị trí kết thúc</a>
{% endif %}
{% endif %}
</div>
<div class="thread">
{% import _self as script %}
{% for post in thread.posts %}{{block('post_view')}}{% endfor %}
</div>
{{block('controls')}}
{{block('pagination')}}
{{block('search')}}
{% endif %}
{{block('breadcrumbs')}}
{{block('online')}}

{% endblock %}
{% elseif __view == 'confirm' %}
{% block view_confirm %}

{{block('menu')}}
{{block('breadcrumbs')}}
<form action="{{ confirm_redir }}" method="post">
<div class="thread">
<b>{{ confirm_message }}</b><br />
</div>
<input type="hidden" name="xsrf" value="{{ xsrf }}">
<input type="submit" value="Tiếp" class="submit">
<a class="submit alt" href="{{ confirm_cancel }}">Hủy</a>
</form>
{{block('online')}}

{% endblock %}
{% elseif __view == 'edit_post' %}
{% block view_edit_post %}

{% set board = category.boards|first %}
{% set thread = board.threads|first %}
{# ACTION #}
{% if reply_to_thread %}
{# REPLY TO THREAD #}
{% set action_route %}{{ thread.reply_to_link }}{% endset %}
{% set tail = 'Trả lời' %}
{% elseif edit_post %}
{# EDIT POST #}
{% set action_route %}{{ post.edit_link }}{% endset %}
{% set tail = 'Sửa' %}
{% elseif reply_to %}
{# REPLY TO POST #}
{% set action_route %}{{ post.reply_link }}{% endset %}
{% set tail = 'Trả lời' %}
{% endif %}
{{block('menu')}}
{{block('breadcrumbs')}}

{% if settings.allow_anonymous_posting or profile %}
{# for feedback #}
{{block('messages')}}

{% if not user_silenced %}

{% if reply_to %}
{% set post = thread.posts|first %}
{% import _self as script %}
{{block('post_view')}}
{% endif %}

<form action="{{ action_route }}" method="post" class="post edit"{% if settings.allow_attachments %} enctype="multipart/form-data"{% endif %}>

{% if not profile %}
<label>Tên:<br><input class="input" type="text" name="name" value="{{ input.name }}"></label>
{% endif %}

<label>Tin nhắn:<textarea name="message">{{ input.message }}</textarea></label>

{% if not profile %}
<label>
<input type="hidden" name="hash" value="{{ captcha.hash }}" />
Nhập mã sau: <br />
<img src="{{ captcha.url }}" alt="Lỗi: Bật hình để xem được" />
<br>
<input class="text" type="text" name="code" value="" />
</label>
{% endif %}

{% if settings.allow_attachments and profile %}
{% if tmp_post_attachments %}
{% for attachment in tmp_post_attachments %}
<input type="hidden" name="file[]" value="{{ attachment.path }}">
<div>{{ attachment.name }}</div>
{% endfor %}

{% if tmp_post_attachments|length < 1 %}Đính kèm:<br />{% endif %}
{% if tmp_post_attachments|length < 1 %}<input type="file" name="file[]" /><br />{% endif %}
{% if tmp_post_attachments|length < 2 %}<input type="file" name="file[]" /><br /> {% endif %}
{% if tmp_post_attachments|length < 3 %}<input type="file" name="file[]" /><br />{% endif %}
{% endif %}

{% if edit_post %}
{% if post.attachments %}
{% for attachment in post.attachments %}
<div>{{ attachment.name }} {{ attachment.mime }} ( {{ attachment.size|bytes }} ) <a href="{{ attachment.delete_link }}">X</a></div>
{% endfor %}
{% endif %}

{% if not tmp_post_attachments %}
{% if not post.attachments or post.attachments|length < 1 %} Đính kèm:<br />{% endif %}
{% if not post.attachments or post.attachments|length < 1 %}<input type="file" name="file[]" /><br />{% endif %}
{% if not post.attachments or post.attachments|length < 2 %}<input type="file" name="file[]" /><br />{% endif %}
{% if not post.attachments or post.attachments|length < 3 %}<input type="file" name="file[]" /><br />{% endif %}
{% endif %}

{% else %}
{% if not tmp_post_attachments %}
Đính kèm:<br />
<input type="file" name="file[]" /><br />
<input type="file" name="file[]" /><br />
<input type="file" name="file[]" /><br />
{% endif %}
{% endif %}
{% endif %}
<br />
<input type="submit" class="submit" value="Gửi">
<input type="submit" name="__preview" class="submit alt" value="Xem trước">
</form>
{% endif %}
{% else %}
{% if account %}
<a href="{{ join_link }}">Tham gia forum để đăng bài</a>
{% else %}
<a href="{{ register_link }}">Bạn phải đăng ký để đăng</a>
{% endif %}
{% endif %}
{{block('breadcrumbs')}}
{{block('online')}}

{% endblock %}
{% elseif __view == 'edit_thread' %}
{% block view_edit_thread %}

{% set board = category.boards|first %}
{% set thread = board.threads|first %}

{{block('menu')}}
{{block('breadcrumbs')}}
{{block('messages')}}

<form action="{{ thread.edit_thread_link }}" method="post" class="thread edit">
<label>
Tiêu đề:<br>
<input class="input" type="text" name="title" value="{{ input.title }}">
</label>
<br />
<input class="submit" type="submit" value="Sửa">
</form>

{{block('breadcrumbs')}}
{{block('online')}}

{% endblock %}
{% elseif __view == 'message' %}
{% block view_message %}

{{block('menu')}}
{{block('breadcrumbs')}}
{{block('messages')}}
{{block('online')}}

{% endblock %}
{% elseif __view == 'modlog' %}
{% block view_modlog %}
{{block('menu')}}
{% set tail = 'Modlog' %}
{{block('breadcrumbs')}}
{{block('messages')}}

<table id="modlog">
{% if modlog %}
{# Table title #}
<caption><h4 class="modlog_title">Moderation log</h4></caption>
{# Headers #}
<tr>
<th>Thời gian</th>
<th>Tên forum</th>
<th>Hoạt động</th>
<th>Chi tiết hoạt động</th>
</tr>
{% for row in modlog %}
<tr>
{# Time #}
<td>
{{ row.stamp|date( 'H:i:s d-m-Y') }}
</td>
{# Mod name #}
<td>
<a href="{{ row.moderator.link }}" title="profile">{{ row.moderator.name }}</a>
</td>

{# Action #} {# Action details #}
{% if ( row.action == 'edit_post' ) %}
<td>
editted
</td>
<td>
<a href="{{ row.post_link }}">1 bài mới </a> trong "<a href="{{ thread_link }}">{{ row.params.category_title }} &raquot; {{ row.params.board_title }} &raquot; {{ row.params.thread_title }}</a>.
</td>
{% elseif ( row.action == 'delete_post' ) %}
<td>
xóa bài đăng trong
</td>
<td>
<a href="{{ row.thread_link }}">{{ row.params.category_title }} &raquo; {{ row.params.board_title }} &raquo; {{ row.params.thread_title }}</a>.
</td>
{% elseif ( row.action == 'delete_thread' ) %}
<td>
Xóa chủ đề
</td>
<td>
<a href="{{ row.thread_link}}">{{ row.params.thread_title }}</a>" in "<a href="{{ row.board_link }}">{{ row.params.category_title }} &gt;&gt; {{ row.params.board_title }}</a>
</td>
{% elseif ( row.action == 'restrict_user' ) %}
<td>
Hạn chế
</td>
<td>
<a href="{{ row.profile_link }}">{{ row.params.user_name }}</a>
{% if row.params.user_name != row.params.user_name_now %}
(hiện đang <a href="{{ row.profile_link }}"> {{ row.params.user_name_now }}</a>)
{% endif %}
</td>
{% elseif ( row.action == 'unrestrict_user' ) %}
<td>
Cho phép
</td>
<td>
<a href="{{ row.profile_link }}">{{ row.params.user_name }}</a>
{% if row.params.user_name != row.params.user_name_now %}
(hiện đang <a href="{{ row.profile_link }}"> {{ row.params.user_name_now }}</a>)
{% endif %}
</td>
{% elseif ( row.action == 'silence_user' ) %}
<td>
Nghiêm cấm
</td>
<td>
<a href="{{ row.profile_link }}">{{ row.params.user_name }}</a>
{% if row.params.user_name != row.params.user_name_now %}
(hiện đang <a href="{{ row.profile_link }}"> {{ row.params.user_name_now }}</a>)
{% endif %}
</td>
{% elseif ( row.action == 'unsilence_user' ) %}
<td>
Cho phép
</td>
<td>
<a href="{{ row.profile_link }}">{{ row.params.user_name }}</a>
{% if row.params.user_name != row.params.user_name_now %}
(hiện đang <a href="{{ row.profile_link }}"> {{ row.params.user_name_now }}</a>)
{% endif %}
</td>
{% elseif ( row.action == 'approve_user' ) %}
<td>
Đồng ý
</td>
<td>
<a href="{{ row.profile_link }}">{{ row.params.user_name }}</a>
{% if row.params.user_name != row.params.user_name_now %}
(hiện là <a href="{{ row.profile_link }}"> {{ row.params.user_name_now }}</a>)
{% endif %}
</td>
{% elseif ( row.action == 'unapprove_user' ) %}
<td>
Không đồng ý
</td>
<td>
<a href="{{ row.profile_link }}">{{ row.params.user_name }}</a>
{% if row.params.user_name != row.params.user_name_now %}
(hiện đang <a href="{{ row.profile_link }}"> {{ row.params.user_name_now }}</a>)
{% endif %}
</td>
{% elseif ( row.action == 'unban_user' ) %}
<td>
Đã unbanned
</td>
<td>
<a href="{{ row.profile_link }}">{{ row.params.user_name }}</a>
{% if row.params.user_name != row.params.user_name_now %}
(hiện đang <a href="{{ row.profile_link }}"> {{ row.params.user_name_now }}</a>)
{% endif %}
</td>
{% elseif ( row.action == 'pin_thread' ) %}
<td>
Đã ghim
</td>
<td>
<a href="{{ row.thread_link }}">{{ row.params.category_title }} &gt;&gt; {{ row.params.board_title }} &gt;&gt; {{ row.params.thread_title }}</a> thread
</td>
{% elseif ( row.action == 'unpin_thread' ) %}
<td>
Đã gỡ ghim
</td>
<td>
<a href="{{ row.thread_link }}">{{ row.params.category_title }} &gt;&gt; {{ row.params.board_title }} &gt;&gt; {{ row.params.thread_title }}</a> thread
</td>
{% elseif ( row.action == 'close_thread' ) %}
<td>
Đã đóng cửa
</td>
<td>
<a href="{{ row.thread_link }}">{{ row.params.category_title }} &gt;&gt; {{ row.params.board_title }} &gt;&gt; {{ row.params.thread_title }}</a> thread
</td>
{% elseif ( row.action == 'open_thread' ) %}
<td>
Đã mở cửa
</td>
<td>
<a href="{{ row.thread_link }}">{{ row.params.category_title }} &gt;&gt; {{ row.params.board_title }} &gt;&gt; {{ row.params.thread_title }}</a> thread
</td>
{% else %}
<td>{{row.action}}</td>
<td></td>
{% endif %}
</tr>
{% endfor %}
{% else %}
<caption class="no_data"><h4 class="modlog_title">Không có bản lưu nào.</h4></caption>
{% endif %}
</table>

{{block('pagination')}}
{{block('breadcrumbs')}}
{{block('online')}}

{% endblock %}
{% elseif __view == 'post' %}
{% block view_post %}

{% set board = category.boards|first %}
{% set thread = board.threads|first %}
{% set post = thread.posts|first %}

{{block('menu')}}
{% set tail = 'Xem bài đăng' %}
{{block('breadcrumbs')}}
{{block('messages')}}
{% import _self as script %}
{{block('post_view')}}
{{block('breadcrumbs')}}
{{block('online')}}

{% endblock %}
{% elseif __view == 'preview' %}
{% block view_preview %}

{% set board = category.boards|first %}
{% set thread = board.threads|first %}
{% if thread|length %}
{% set post = thread.posts|first %}
{% endif %}

{{block('menu')}}
{% set tail = 'Xem trước' %}
{{block('breadcrumbs')}}

<div class="post single">

{% if profile %}
<img class="ico" alt="avatar" src="{{ profile.avatars [ 16 ] }}" />
{% endif %}

{% if profile %}
<a href="{{ profile.link }}" title="Xem thông tin {{ profile.name }}" >{{ profile.community_name }}</a>
{% else %}
<span class="ano">{{ input.name }}</span>
{% endif %}

{% if post.reply_to %}
<a class="reply_to" href="{{ post.reply_to.link }}"><img src="http://xtgem.com/images/forum/icons/reply.png" alt="*" /> {% if post.reply_to.author_name %}{{ post.reply_to.author_name}}{% else %}{{ post.reply_to.anonymous_name }}{% endif %}</a> {{ input.message_parsed|raw }}
{% else %}
{{ input.message_parsed|raw }}
{% endif %}

{% if profile %}
{% if tmp_attachments %}
{% for attachment in tmp_attachments %}
<div><img src="http://xtgem.com/images/forum/icons/attachment.gif" alt="*" class="ico ico-attachment" /><span>{{ attachment.name }} • {{ attachment.size|bytes }}</span></div>
{% endfor %}
{% endif %}
{% if tmp_post_attachments %}
{% for attachment in tmp_post_attachments %}
<div><img src="http://xtgem.com/images/forum/icons/attachment.gif" alt="*" class="ico ico-attachment" /><span>{{ attachment.name }}</span></div>
{% endfor %}
{% endif %}
{% endif %}

<div class="meta"># {{ "now"|date_timezoned("H:i d-m-Y") }}</div>
</div>

<form action="{{action_route}}" method="post" class="preview new">
{% if profile %}
{% if tmp_attachments %}
{% for attachment in tmp_attachments %}
<input type="hidden" name="file[]" value="{{ attachment.path }}">
{% endfor %}
{% endif %}
{% if tmp_post_attachments %}
{% for attachment in tmp_post_attachments %}
<input type="hidden" name="file[]" value="{{ attachment.path }}">
{% endfor %}
{% endif %}
{% else %}
<input type="hidden" name="name" value="{{ input.name }}">
{% endif %}
<input type="hidden" name="message" value="{{ input.message }}">
<input type="hidden" name="title" value="{{ input.title }}">
<input type="submit" name="__edit" class="submit alt" value="Sửa">
<input type="submit" name="submit" class="submit" value="Đồng ý">
</form>

{{block('breadcrumbs')}}
{{block('online')}}

{% endblock %}
{% elseif __view == 'options' %}
{% block view_options %}

{{block('menu')}}
{% set tail = 'Tùy chỉnh' %}
{{block('breadcrumbs')}}
{{block('messages')}}

<form action="{{ options_link }}" method="post" class="settings edit">
<h1 title="Chỉnh hiển thị">Chỉnh hiển thị</h1>

{% set karma_title %}
Karma threshold <span class="descr">(Posts with karma (rating) below the specified number will be hidden.)</span>
{% endset %}

{#{#}
{#'title':'Categories per page',#}
{#'name': 'categories_per_page',#}
{#'selected': profile.settings.categories_per_page,#}
{#'suboptions': [ 2,3,5,10 ]#}
{#},#}
{#{#}
{#'title':'Threads per board',#}
{#'name': 'threads_per_board',#}
{#'selected': profile.settings.threads_per_board,#}
{#'suboptions': [ 0,3,5,10,20 ]#}
{#},#}

{%
set options = [
{
'title':'số chủ để trên trang trên bảng',
'name': 'threads_per_page',
'selected': profile.settings.threads_per_page,
'suboptions': [ 5, 10, 15, 20, 25, 30 ]
},
{
'title':'Số trả lời trên trang trong chủ đề',
'name': 'posts_per_page',
'selected': profile.settings.posts_per_page,
'suboptions': [ 3, 5, 10, 20 ]
},
{
'title':'Số kết quả tìm kiếm trên trang',
'name': 'search_per_page',
'selected': profile.settings.search_per_page,
'suboptions': [ 3, 5, 10, 15, 20 ]
},
{
'title':karma_title,
'name': 'karma_treshold',
'selected': profile.settings.karma_treshold,
'suboptions': [ -10, -5, -3, -1 ]
},
{
'title':'Hiện avatar',
'name': 'show_avatars',
'different_values': true,
'selected': profile.settings.show_avatars,
'suboptions': { '1': 'Yes', '0': 'No' }
},
{
'title':'mặc định sắp xếp trả lời',
'name': 'reply_sorting',
'different_values': true,
'selected': profile.settings.reply_sorting,
'suboptions': { '1': 'Oldest first' , '-1': 'Newest first' }
},
]
%}

{% for option in options %}
<label>
{{option.title}}:
<select name="{{option.name}}">
{% if option.different_values %}

{% for value, suboption in option.suboptions %}
<option value="{{value}}" {{option.selected == value ? 'selected="selected"' : ''}}>
{{suboption}}
</option>
{% endfor %}

{% else %}

{% for value, suboption in option.suboptions %}
<option value="{{suboption}}" {{option.selected == suboption ? 'selected="selected"' : ''}}>
{{suboption}}
</option>
{% endfor %}

{% endif %}
</select>
</label>
{% endfor %}
<input type="submit" class="submit" value="Lưu" />
</form>
{{block('breadcrumbs')}}
{{block('online')}}
{% endblock %}
{% elseif __view == 'redirect' %}
{% block view_redirect %}
<meta http-equiv="refresh" content="2;url={{ redir_url }}">Thành công! Click vào<a href="{{ redir_url }}">đây</a> để chuyển trang.
{% endblock %}
{% elseif __view == 'new_thread' %}
{% block view_new_thread %}
{% set view= 'new_thread' %}
{% set board = category.boards|first %}

{% if settings.allow_anonymous_posting or profile %}

{{block('menu')}}
{{block('breadcrumbs')}}
{{block('messages')}}

{% if not user_silenced %}

<form action="{{ board.new_thread_link }}" method="post" class="thread new"{% if settings.allow_attachments %} enctype="multipart/form-data"{% endif %}>
<label>Tiêu đề:<br><input class="input" type="text" name="title" value="{{ input.title }}"></label>

{% if not profile %}
<label>Tên bạn:<br><input class="input" type="text" name="name" value="{{ input.name }}"></label>
{% endif %}

<label>Nội dung:<textarea name="message">{{ input.message }}</textarea></label>

{% if not profile %}
<label>
<input type="hidden" name="hash" value="{{ captcha.hash }}" />
Nội dung: <br />
<img src="{{ captcha.url }}" alt="Error: Please enable images in your browser" />
<br>
<input class="text" type="text" name="code" value="" />
</label>
{% endif %}

{% if settings.allow_attachments and profile %}

{% if tmp_post_attachments %}
{% for attachment in tmp_post_attachments %}
<input type="hidden" name="file[]" value="{{ attachment.path }}">
<div>{{ attachment.name }}</div>
{% endfor %}

{% if tmp_post_attachments|length < 1 %}
Đính kèm:<br />
{% endif %}
{% if tmp_post_attachments|length < 1 %}
<input type="file" name="file[]" /><br />
{% endif %}
{% if tmp_post_attachments|length < 2 %}
<input type="file" name="file[]" /><br />
{% endif %}
{% if tmp_post_attachments|length < 3 %}
<input type="file" name="file[]" /><br />
{% endif %}

{% endif %}

{% if edit_post %}
{% if post.attachments %}
{% for attachment in post.attachments %}
<div>{{ attachment.name }} {{ attachment.mime }} ( {{ attachment.size|bytes }} ) <a href="{{ attachment.delete_link}}">delete</a></div>
{% endfor %}
{% endif %}

{% if not tmp_post_attachments %}
{% if not post.attachments or post.attachments|length < 1 %}
Đính kèm:<br />
{% endif %}
{% if not post.attachments or post.attachments|length < 1 %}
<input type="file" name="file[]" /><br />
{% endif %}
{% if not post.attachments or post.attachments|length < 2 %}
<input type="file" name="file[]" /><br />
{% endif %}
{% if not post.attachments or post.attachments|length < 3 %}
<input type="file" name="file[]" /><br />
{% endif %}
{% endif %}

{% else %}
{% if not tmp_post_attachments %}
Nội dung:<br />
<input type="file" name="file[]" /><br />
<input type="file" name="file[]" /><br />
<input type="file" name="file[]" /><br />
{% endif %}
{% endif %}
{% endif %}

<br />
<input class="submit" type="submit" value="Submit thread">
<input class="submit alt" type="submit" name="__preview" value="Xem trước">

</form>

{% endif %}
{{block('breadcrumbs')}}
{% else %}
{% if account %}
<a href="{{ join_link }}">Đăng nhập để viết bài</a>
{% else %}
<a href="{{ register_link }}">Bạn phải đăng ký để đăng bài</a>
{% endif %}
{% endif %}
{{block('online')}}

{% endblock %}
{% elseif __view == 'search' %}
{% block view_search %}
{% if category.boards|length %}{% set board = category.boards|first %}{% endif %}
{% if board.threads|length %}{% set thread = board.threads|first %}{% endif %}
{{block('menu')}}

{% set tail = 'Kết quả tìm kiếm' %}
{{block('breadcrumbs')}}

{% for result in search_results %}
{% if loop.first %}
<div class="threads">
{% endif %}

{% set thread = result.thread %}
{% set url_from_search = result.goto_link %}
{{block('thread')}}

{% if loop.last %}
</div>
{% endif %}
{% else %}
<div class="no_data"><b title="data not found">Sorry, không thấy...</b></div>
{% endfor %}

{{block('pagination')}}
{{block('search')}}
{{block('breadcrumbs')}}
{{block('online')}}
{% endblock %}
{% elseif __view == 'invite' %}
{% block view_invite %}

{% set view = 'thread' %}
{% set board = category.boards|first %}
{% set thread = board.threads|first %}

{{block('menu.twig')}}
{{block('breadcrumbs')}}
{{block('messages')}}

{% if invite_users_left %}
<div class="alert info"><img src="http://xtgem.com/images/forum/icons/alert-info.png" alt="*" class="ico" /> Nhập email bạn bè và tin nhắn của bạn.</div>
<form action="{{ invite_form_action }}" method="post" class="post new">
<label>
Email:<br />
<input class="input" type="text" name="email" value="{{ input.email }}">
</label>
<label>
Nội dung (tùy ý):
<textarea name="invite_message">{{ input.invite_message }}</textarea>
</label>
<br /><input class="submit" type="submit" value="Gửi">
</form>
<h1 class="custom">Xem trước Email:</h1>
<div class="email-preview">{{ invite_email|raw }}</div>
{% else %}

<div class="no_data"><b title="data not found">Sorry, hiện bạn không thể gửi tin nhắn. Thử lại sau nhé.</b></div>

{% endif %}

{{block('breadcrumbs')}}
{{block('online')}}

{% endblock %}
{% elseif __view == 'join' %}
{% block view_join %}

{{block('menu')}}
{{block('messages')}}

<form action="{{ join_link }}{% if redir %}?redir={{ redir }}{% endif %}" method="post" class="settings edit" enctype="multipart/form-data">

{% if account.community.name %}
<h1 title="Tên forum">{{ account.community.name }}</h1>
{% endif %}
<img src="{{ avatars [ 64 ] }}" alt="avatar" /> [ Avatar ]
<div class="inline">
Ảnh đại diện (tùy chọn):<br />
<input type="file" name="photo" />
</div>
<h1 title="Hiện trên forum">Hiện trên forum</h1>

{% if not account.community.name %}
<label>
Tên forum:<br />
<input type="text" name="community_name" value="{% if input.community_name %}{{ input.community_name }}{% elseif account.community.name %}{{ account.community.name }}{% else %}{{ gravatar_name }}{% endif %}" />
</label>
{% else %}
{{ label }}
{% endif %}

<br /><input class="submit" type="submit" name="join" value="Tham gia" />

</form>
{{block('online')}}
{% endblock %}
{% endif %}
